Jump to content
Sign in to follow this  
ozEworks

PayPal PayFlow Pro Upgrade

Recommended Posts

PayPal made the following annoucement to users on 13 May 2009:

 

We’ve upgraded our Payflow gateway service with new security features to make payment processing even safer.

 

On September 1, 2009, we’ll stop supporting your current integration. To continue processing payments after that date, you’ll need to update your Payflow integration.

 

For a detailed explanation of what’s changing and step-by-step instructions on what to do, go to https://www.paypal.com/gatewayupdate.

 

Please make plans to get this critical update done right away. The update will give you more security and you won’t have to worry about your payment service being interrupted in September.

 

If you have questions, contact our support team at payflow-update@paypal.com or 1-866-877-4891, ext. 168.

 

 

Their link for 3rd party solutions says

 

We’ve added new security features to our Payflow gateway service that will make your payment processing even safer. Because of these new features, you must update the Payflow code that’s integrated into your web site. All merchants should update to Payflow Pro Software Development Kit (SDK) version 4.3 or higher, or use our direct HTTPS Interface

 

 

Does anyone know anything about the implications of this?


Kym

Projects Director @ ozEworks.com

Share this post


Link to post
Share on other sites

That one's last update is 26 Oct 2008? It works for this new requirements what it is?


Kym

Projects Director @ ozEworks.com

Share this post


Link to post
Share on other sites

Has anyone confirmed that the v0.3 release complies with the changes that are coming up for Payflow?

Share this post


Link to post
Share on other sites

Just out of curiosity, what are you merchants who will be affected by this change planning to do? I hate the idea of moving to a hosting company with integrated shopping cart support just because there's no support for my payment solution. Is everybody just hoping somebody will fix this?

Share this post


Link to post
Share on other sites

The NEW payflow_pro_v0.3 is NOT current enough for paypal to work. I am looking for a solution as well.

 

There are code examples on the paypal update site. I've also considered reverse-engine3ering the zencart payment module.

 

My BIG quesiton is this - is OSCOMMERCE still a viable ecom platform? It seems to have few updates

Share this post


Link to post
Share on other sites

I have received several emails regarding this today, so maybe this will answer the common question:

 

I haven't had time to review the new API, however I did look at the code examples provided by PayPal and I can't find any incompatibilities with version 0.3 of the module. Look at their example vs what is sent by that module and, unless I missed something, you'll probably come to the same conclusion.

 

Their SDK is changing, but it doesn't look like the raw request format, which is what my PayPal Payflow Pro module uses, is any different than what is posted here: http://www.pdncommunity.com/pdn/board/mess...;thread.id=1008

 

aarongriffin, if you can specify which incompatibilities you're seeing, I'll see about updating the module.


Please use the forums for support! I am happy to help you here, but I am unable to offer free technical support over instant messenger or e-mail.

Share this post


Link to post
Share on other sites
I have received several emails regarding this today, so maybe this will answer the common question:

 

I haven't had time to review the new API, however I did look at the code examples provided by PayPal and I can't find any incompatibilities with version 0.3 of the module. Look at their example vs what is sent by that module and, unless I missed something, you'll probably come to the same conclusion.

 

Their SDK is changing, but it doesn't look like the raw request format, which is what my PayPal Payflow Pro module uses, is any different than what is posted here: http://www.pdncommunity.com/pdn/board/mess...;thread.id=1008

 

aarongriffin, if you can specify which incompatibilities you're seeing, I'll see about updating the module.

 

 

I just had 1 query, After upgrading to v0.3, is there any way that we can test whether it is compatible with new paypal upgrade coming in effect from Sept 1.

i mean any way to test the compatibility of v0.3?

Share this post


Link to post
Share on other sites
I just had 1 query, After upgrading to v0.3, is there any way that we can test whether it is compatible with new paypal upgrade coming in effect from Sept 1.

i mean any way to test the compatibility of v0.3?

 

I'd also like to know if there is any way to test the PayFlow Pro v0.3 module's compatibility with PayPal's update coming September 1st.

 

Thanks.

Share this post


Link to post
Share on other sites

REGARDING THE SEPTEMBER 1 CHANGE

 

This module will still be functional, there is no need to update it. The only change they are implementing is the means of transmitting the data to their servers. The way this module sends a request and parses the response DOES NOT need to be updated and will continue to be functional.

 

The error you may experience will be a -31 "The certificate chain did not validate, no local certificate found" error generated by cURL. If that happens, you need to contact your web host's support staff and request that the root certificates located in the third post at the following link be installed on your server: http://paypaldeveloper.com/pdn/board/messa...;thread.id=6309

 

If there is a way to update the module to make that process easier, I will. However most of the larger hosts are aware of the update and are already prepared, so there is a very good chance you won't even notice the transition.


Please use the forums for support! I am happy to help you here, but I am unable to offer free technical support over instant messenger or e-mail.

Share this post


Link to post
Share on other sites

This mean i don't have to upgrade anything on my oscommerce instalation ???

I have this version os payflowpro

/*

$Id: payflowpro.php,v 1.1 2003/05/03 $

 

osCommerce, Open Source E-Commerce Solutions

http://www.oscommerce.com

 

Copyright © 2002 osCommerce

Some changes and fixes by Alonso Acuña alonso@admintek.net

 

Released under the GNU General Public License

*/

 

 

thanks!

Share this post


Link to post
Share on other sites

We are now getting duplicate orders.

 

First order has no payment method or shipping and missing Country.

 

Second has payment and shipping.

 

Since the order is only created on checkout success, we cannot work out how 2 (sometimes 3) orders are getting created.

 

Anyone else seen this?

Edited by FlyingKites

Kym

Projects Director @ ozEworks.com

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×